Public APIAPI ReferenceDeployments

List an app's deployments.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/apps/{appId}/deployments

Filter by target and status and paginate with cursor. Corresponds to the ntro deployments list command.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Path Parameters

appId*string

Query Parameters

cursor?string
limit?integer
status?string
target?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/string/deployments"
{  "items": [    {      "appId": "string",      "createdAt": "string",      "errorCode": "string",      "fileCount": 0,      "id": "string",      "meta": true,      "preview": {        "capturedAt": "string",        "image": {          "token": "string",          "version": "string"        },        "status": "string"      },      "readyAt": "string",      "redeployOf": "string",      "shortId": "string",      "status": "string",      "target": "string",      "totalBytes": 0,      "url": "string",      "urls": [        "string"      ]    }  ],  "nextCursor": "string"}